<div class="front_page_section front_page_section_googlemap<?php
	$top_dog_scheme = top_dog_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! empty( $top_dog_scheme ) && ! top_dog_is_inherit( $top_dog_scheme ) ) {
		echo ' scheme_' . esc_attr( $top_dog_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( top_dog_get_theme_option( 'front_page_googlemap_paddings' ) );
	if ( top_dog_get_theme_option( 'front_page_googlemap_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$top_dog_css      = '';
		$top_dog_bg_image = top_dog_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $top_dog_bg_image ) ) {
			$top_dog_css .= 'background-image: url(' . esc_url( top_dog_get_attachment_url( $top_dog_bg_image ) ) . ');';
		}
		if ( ! empty( $top_dog_css ) ) {
			echo ' style="' . esc_attr( $top_dog_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$top_dog_anchor_icon = top_dog_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$top_dog_anchor_text = top_dog_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $top_dog_anchor_icon ) || ! empty( $top_dog_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $top_dog_anchor_icon ) ? ' icon="' . esc_attr( $top_dog_anchor_icon ) . '"' : '' )
									. ( ! empty( $top_dog_anchor_text ) ? ' title="' . esc_attr( $top_dog_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
		<?php
		$top_dog_layout = top_dog_get_theme_option( 'front_page_googlemap_layout' );
		echo ' front_page_section_layout_' . esc_attr( $top_dog_layout );
		if ( top_dog_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
			echo ' top-dog-full-height sc_layouts_flex sc_layouts_columns_middle';
		}
		?>
		"
			<?php
			$top_dog_css      = '';
			$top_dog_bg_mask  = top_dog_get_theme_option( 'front_page_googlemap_bg_mask' );
			$top_dog_bg_color_type = top_dog_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $top_dog_bg_color_type ) {
				$top_dog_bg_color = top_dog_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $top_dog_bg_color_type ) {
				$top_dog_bg_color = top_dog_get_scheme_color( 'bg_color', $top_dog_scheme );
			} else {
				$top_dog_bg_color = '';
			}
			if ( ! empty( $top_dog_bg_color ) && $top_dog_bg_mask > 0 ) {
				$top_dog_css .= 'background-color: ' . esc_attr(
					1 == $top_dog_bg_mask ? $top_dog_bg_color : top_dog_hex2rgba( $top_dog_bg_color, $top_dog_bg_mask )
				) . ';';
			}
			if ( ! empty( $top_dog_css ) ) {
				echo ' style="' . esc_attr( $top_dog_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
		if ( 'fullwidth' != $top_dog_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$top_dog_caption     = top_dog_get_theme_option( 'front_page_googlemap_caption' );
			$top_dog_description = top_dog_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $top_dog_caption ) || ! empty( $top_dog_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $top_dog_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $top_dog_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $top_dog_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $top_dog_caption, 'top_dog_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $top_dog_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $top_dog_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $top_dog_description ), 'top_dog_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $top_dog_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$top_dog_content = top_dog_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $top_dog_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $top_dog_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $top_dog_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $top_dog_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $top_dog_content, 'top_dog_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $top_dog_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $top_dog_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
			<?php
			if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
				dynamic_sidebar( 'front_page_googlemap_widgets' );
			} elseif ( current_user_can( 'edit_theme_options' ) ) {
				if ( ! top_dog_exists_trx_addons() ) {
					top_dog_customizer_need_trx_addons_message();
				} else {
					top_dog_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
				}
			}
			?>
			</div>
			<?php

			if ( 'columns' == $top_dog_layout && ( ! empty( $top_dog_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
