<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$top_dog_copyright_scheme = top_dog_get_theme_option( 'copyright_scheme' );
if ( ! empty( $top_dog_copyright_scheme ) && ! top_dog_is_inherit( $top_dog_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $top_dog_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$top_dog_copyright = top_dog_get_theme_option( 'copyright' );
			if ( ! empty( $top_dog_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$top_dog_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $top_dog_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$top_dog_copyright = top_dog_prepare_macros( $top_dog_copyright );
				// Display copyright
				echo wp_kses( nl2br( $top_dog_copyright ), 'top_dog_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
