<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0.10
 */

$top_dog_footer_id = top_dog_get_custom_footer_id();
$top_dog_footer_meta = get_post_meta( $top_dog_footer_id, 'trx_addons_options', true );
if ( ! empty( $top_dog_footer_meta['margin'] ) ) {
	top_dog_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( top_dog_prepare_css_value( $top_dog_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $top_dog_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $top_dog_footer_id ) ) ); ?>
						<?php
						$top_dog_footer_scheme = top_dog_get_theme_option( 'footer_scheme' );
						if ( ! empty( $top_dog_footer_scheme ) && ! top_dog_is_inherit( $top_dog_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $top_dog_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'top_dog_action_show_layout', $top_dog_footer_id );
	?>
</footer><!-- /.footer_wrap -->
