<?php
/**
 * The template to display the socials in the footer
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0.10
 */


// Socials
if ( top_dog_is_on( top_dog_get_theme_option( 'socials_in_footer' ) ) ) {
	$top_dog_output = top_dog_get_socials_links();
	if ( '' != $top_dog_output ) {
		?>
		<div class="footer_socials_wrap socials_wrap">
			<div class="footer_socials_inner">
				<?php top_dog_show_layout( $top_dog_output ); ?>
			</div>
		</div>
		<?php
	}
}
