<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0.14
 */
$top_dog_header_video = top_dog_get_header_video();
$top_dog_embed_video  = '';
if ( ! empty( $top_dog_header_video ) && ! top_dog_is_from_uploads( $top_dog_header_video ) ) {
	if ( top_dog_is_youtube_url( $top_dog_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $top_dog_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php top_dog_show_layout( top_dog_get_embed_video( $top_dog_header_video ) ); ?></div>
		<?php
	}
}
