<?php
/**
 * The template file to display taxonomies archive
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0.57
 */

// Redirect to the template page (if exists) for output current taxonomy
if ( is_category() || is_tag() || is_tax() ) {
	$top_dog_term = get_queried_object();
	global $wp_query;
	if ( ! empty( $top_dog_term->taxonomy ) && ! empty( $wp_query->posts[0]->post_type ) ) {
		$top_dog_taxonomy  = top_dog_get_post_type_taxonomy( $wp_query->posts[0]->post_type );
		if ( $top_dog_taxonomy == $top_dog_term->taxonomy ) {
			$top_dog_template_page_id = top_dog_get_template_page_id( array(
				'post_type'  => $wp_query->posts[0]->post_type,
				'parent_cat' => $top_dog_term->term_id
			) );
			if ( 0 < $top_dog_template_page_id ) {
				wp_safe_redirect( get_permalink( $top_dog_template_page_id ) );
				exit;
			}
		}
	}
}
// If template page is not exists - display default blog archive template
get_template_part( apply_filters( 'top_dog_filter_get_template_part', top_dog_blog_archive_get_template() ) );
