<div class="front_page_section front_page_section_subscribe<?php
	$top_dog_scheme = top_dog_get_theme_option( 'front_page_subscribe_scheme' );
	if ( ! empty( $top_dog_scheme ) && ! top_dog_is_inherit( $top_dog_scheme ) ) {
		echo ' scheme_' . esc_attr( $top_dog_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( top_dog_get_theme_option( 'front_page_subscribe_paddings' ) );
	if ( top_dog_get_theme_option( 'front_page_subscribe_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$top_dog_css      = '';
		$top_dog_bg_image = top_dog_get_theme_option( 'front_page_subscribe_bg_image' );
		if ( ! empty( $top_dog_bg_image ) ) {
			$top_dog_css .= 'background-image: url(' . esc_url( top_dog_get_attachment_url( $top_dog_bg_image ) ) . ');';
		}
		if ( ! empty( $top_dog_css ) ) {
			echo ' style="' . esc_attr( $top_dog_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$top_dog_anchor_icon = top_dog_get_theme_option( 'front_page_subscribe_anchor_icon' );
	$top_dog_anchor_text = top_dog_get_theme_option( 'front_page_subscribe_anchor_text' );
if ( ( ! empty( $top_dog_anchor_icon ) || ! empty( $top_dog_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_subscribe"'
									. ( ! empty( $top_dog_anchor_icon ) ? ' icon="' . esc_attr( $top_dog_anchor_icon ) . '"' : '' )
									. ( ! empty( $top_dog_anchor_text ) ? ' title="' . esc_attr( $top_dog_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_subscribe_inner
	<?php
	if ( top_dog_get_theme_option( 'front_page_subscribe_fullheight' ) ) {
		echo ' top-dog-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$top_dog_css      = '';
			$top_dog_bg_mask  = top_dog_get_theme_option( 'front_page_subscribe_bg_mask' );
			$top_dog_bg_color_type = top_dog_get_theme_option( 'front_page_subscribe_bg_color_type' );
			if ( 'custom' == $top_dog_bg_color_type ) {
				$top_dog_bg_color = top_dog_get_theme_option( 'front_page_subscribe_bg_color' );
			} elseif ( 'scheme_bg_color' == $top_dog_bg_color_type ) {
				$top_dog_bg_color = top_dog_get_scheme_color( 'bg_color', $top_dog_scheme );
			} else {
				$top_dog_bg_color = '';
			}
			if ( ! empty( $top_dog_bg_color ) && $top_dog_bg_mask > 0 ) {
				$top_dog_css .= 'background-color: ' . esc_attr(
					1 == $top_dog_bg_mask ? $top_dog_bg_color : top_dog_hex2rgba( $top_dog_bg_color, $top_dog_bg_mask )
				) . ';';
			}
			if ( ! empty( $top_dog_css ) ) {
				echo ' style="' . esc_attr( $top_dog_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_subscribe_content_wrap content_wrap">
			<?php
			// Caption
			$top_dog_caption = top_dog_get_theme_option( 'front_page_subscribe_caption' );
			if ( ! empty( $top_dog_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_subscribe_caption front_page_block_<?php echo ! empty( $top_dog_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $top_dog_caption, 'top_dog_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$top_dog_description = top_dog_get_theme_option( 'front_page_subscribe_description' );
			if ( ! empty( $top_dog_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_subscribe_description front_page_block_<?php echo ! empty( $top_dog_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $top_dog_description ), 'top_dog_kses_content' ); ?></div>
				<?php
			}

			// Content
			$top_dog_sc = top_dog_get_theme_option( 'front_page_subscribe_shortcode' );
			if ( ! empty( $top_dog_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_subscribe_output front_page_block_<?php echo ! empty( $top_dog_sc ) ? 'filled' : 'empty'; ?>">
				<?php
					top_dog_show_layout( do_shortcode( $top_dog_sc ) );
				?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
