<?php
/**
 * The template 'Style 1' to displaying related posts
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0
 */

$top_dog_link        = get_permalink();
$top_dog_post_format = get_post_format();
$top_dog_post_format = empty( $top_dog_post_format ) ? 'standard' : str_replace( 'post-format-', '', $top_dog_post_format );
?><div id="post-<?php the_ID(); ?>" <?php post_class( 'related_item post_format_' . esc_attr( $top_dog_post_format ) ); ?> data-post-id="<?php the_ID(); ?>">
	<?php
	top_dog_show_post_featured(
		array(
			'thumb_size'    => apply_filters( 'top_dog_filter_related_thumb_size', top_dog_get_thumb_size( (int) top_dog_get_theme_option( 'related_posts' ) == 1 ? 'huge' : 'big' ) ),
			'post_info'     => '<div class="post_header entry-header">'
									. '<div class="post_categories">' . wp_kses( top_dog_get_post_categories( '' ), 'top_dog_kses_content' ) . '</div>'
									. '<h6 class="post_title entry-title"><a href="' . esc_url( $top_dog_link ) . '">' . wp_kses_data( get_the_title() ) . '</a></h6>'
									. ( in_array( get_post_type(), array( 'post', 'attachment' ) )
											? '<div class="post_meta"><a href="' . esc_url( $top_dog_link ) . '" class="post_meta_item post_date">' . wp_kses_data( top_dog_get_date() ) . '</a></div>'
											: '' )
								. '</div>',
		)
	);
	?>
</div>
